UpsertBillingAddress

PUT/billing/v1/address

Request Body

required
application/json
{
  "$ref": "#/components/schemas/billing.v1.UpsertBillingAddressRequest",
  "$ref-value": {
    "type": "object",
    "properties": {
      "org_id": {
        "type": "string",
        "examples": [
          "OR98234j23"
        ],
        "title": "org_id"
      },
      "address": {
        "allOf": [
          {
            "$ref": "#/components/schemas/billing.v1.BillingAddress",
            "$ref-value": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "examples": [
                    "Jane Doe"
                  ],
                  "title": "name",
                  "minLength": 1
                },
                "line1": {
                  "type": "string",
                  "examples": [
                    "123 Main St"
                  ],
                  "title": "line1",
                  "minLength": 1
                },
                "line2": {
                  "type": "string",
                  "examples": [
                    "Apt 4B"
                  ],
                  "title": "line2"
                },
                "city": {
                  "type": "string",
                  "examples": [
                    "San Francisco"
                  ],
                  "title": "city",
                  "minLength": 1
                },
                "state": {
                  "type": "string",
                  "examples": [
                    "CA"
                  ],
                  "title": "state",
                  "minLength": 1
                },
                "postal_code": {
                  "type": "string",
                  "examples": [
                    "94105"
                  ],
                  "title": "postal_code",
                  "minLength": 1
                },
                "country": {
                  "type": "string",
                  "examples": [
                    "US"
                  ],
                  "title": "country",
                  "minLength": 1
                },
                "phone": {
                  "type": "string",
                  "examples": [
                    "+15551234567"
                  ],
                  "title": "phone"
                },
                "email": {
                  "type": "string",
                  "examples": [
                    "billing@example.com"
                  ],
                  "title": "email",
                  "format": "email"
                }
              },
              "title": "BillingAddress",
              "required": [
                "name",
                "line1",
                "city",
                "state",
                "postal_code",
                "country"
              ],
              "additionalProperties": false
            }
          }
        ],
        "title": "address"
      }
    },
    "title": "UpsertBillingAddressRequest",
    "additionalProperties": false
  }
}

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/billing.v1.BillingAddress",
  "$ref-value": {
    "type": "object",
    "properties": {
      "name": {
        "type": "string",
        "examples": [
          "Jane Doe"
        ],
        "title": "name",
        "minLength": 1
      },
      "line1": {
        "type": "string",
        "examples": [
          "123 Main St"
        ],
        "title": "line1",
        "minLength": 1
      },
      "line2": {
        "type": "string",
        "examples": [
          "Apt 4B"
        ],
        "title": "line2"
      },
      "city": {
        "type": "string",
        "examples": [
          "San Francisco"
        ],
        "title": "city",
        "minLength": 1
      },
      "state": {
        "type": "string",
        "examples": [
          "CA"
        ],
        "title": "state",
        "minLength": 1
      },
      "postal_code": {
        "type": "string",
        "examples": [
          "94105"
        ],
        "title": "postal_code",
        "minLength": 1
      },
      "country": {
        "type": "string",
        "examples": [
          "US"
        ],
        "title": "country",
        "minLength": 1
      },
      "phone": {
        "type": "string",
        "examples": [
          "+15551234567"
        ],
        "title": "phone"
      },
      "email": {
        "type": "string",
        "examples": [
          "billing@example.com"
        ],
        "title": "email",
        "format": "email"
      }
    },
    "title": "BillingAddress",
    "required": [
      "name",
      "line1",
      "city",
      "state",
      "postal_code",
      "country"
    ],
    "additionalProperties": false
  }
}
curl -X PUT "https://api.rixl.com/billing/v1/address" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/billing.v1.BillingAddress",
  "$ref-value": {
    "type": "object",
    "properties": {
      "name": {
        "type": "string",
        "examples": [
          "Jane Doe"
        ],
        "title": "name",
        "minLength": 1
      },
      "line1": {
        "type": "string",
        "examples": [
          "123 Main St"
        ],
        "title": "line1",
        "minLength": 1
      },
      "line2": {
        "type": "string",
        "examples": [
          "Apt 4B"
        ],
        "title": "line2"
      },
      "city": {
        "type": "string",
        "examples": [
          "San Francisco"
        ],
        "title": "city",
        "minLength": 1
      },
      "state": {
        "type": "string",
        "examples": [
          "CA"
        ],
        "title": "state",
        "minLength": 1
      },
      "postal_code": {
        "type": "string",
        "examples": [
          "94105"
        ],
        "title": "postal_code",
        "minLength": 1
      },
      "country": {
        "type": "string",
        "examples": [
          "US"
        ],
        "title": "country",
        "minLength": 1
      },
      "phone": {
        "type": "string",
        "examples": [
          "+15551234567"
        ],
        "title": "phone"
      },
      "email": {
        "type": "string",
        "examples": [
          "billing@example.com"
        ],
        "title": "email",
        "format": "email"
      }
    },
    "title": "BillingAddress",
    "required": [
      "name",
      "line1",
      "city",
      "state",
      "postal_code",
      "country"
    ],
    "additionalProperties": false
  }
}